Why is OpenJPEG recommended for Poppler?

Randy McMurchy randy at linuxfromscratch.org
Tue Nov 16 04:09:31 PST 2010


Ken Moffat wrote these words on 11/15/10 15:16 CST:
> On Mon, Nov 15, 2010 at 02:23:07PM -0600, Randy McMurchy wrote:
>> This should be revisited, and an explanation should be provided why
>> OpenJPEG is recommended. I'm copying BLFS-Dev so there is more exposure
>> to the issue.
>>
>  I assume you haven't yet got to the stage of building poppler on
> your new system.  When you do, it *will* build without this, but the
> configure script will recommend it.

Indeed. Using the newest Poppler (0.14.5) if OpenJPEG is not installed,
at the very end of the configure output is the following:

 Warning: Using libopenjpeg is recommended

As you say, Ken, it is a no-brainer and OpenJpeg should be added to the
book. Good catch, William, and thanks for the info, Ken.

-- 
Randy

rmlscsi: [bogomips 1003.28] [GNU ld version 2.16.1] [gcc (GCC) 4.0.3]
[GNU C Library stable release version 2.3.6] [Linux 2.6.14.3 i686]
06:05:00 up 14 days, 12:59, 1 user, load average: 0.13, 0.22, 0.14



More information about the blfs-dev mailing list